#ifndef __screen_move
#define __screen_move

#include "../screen.h"
#include "../state.h"


/*
 * Move screen
 *   Shows the current and target height
 */
class MoveScreen : public BaseScreen
{
  public:
    MoveScreen(ScreenManager* screenManager) : BaseScreen(screenManager) { }

    void onShow();
    void onButton(Button button);
    void onTick();

  private:
    uint32_t lastRefresh;
};

#endif
